Bug 495046 - Django copies .pyo files for a new project/app
Django copies .pyo files for a new project/app
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Django (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Milner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 07:53 EDT by Ignacio Vazquez-Abrams
Modified: 2009-12-18 04:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:13:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Does not copy over pyo's (650 bytes, patch)
2009-08-01 20:17 EDT, Steve Milner
no flags Details | Diff

  None (edit)
Description Ignacio Vazquez-Abrams 2009-04-09 07:53:34 EDT
django/core/management/base:398 needs to exclude .pyo files as well.
Comment 1 Steve Milner 2009-08-01 20:12:46 EDT
I created a patch for this and am applying it to the Django 1.1 devel build. I'll also send it upstream.
Comment 2 Steve Milner 2009-08-01 20:17:59 EDT
Created attachment 355906 [details]
Does not copy over pyo's
Comment 3 Steve Milner 2009-08-01 20:20:05 EDT
[steve@powerhouse devel]$ django-admin startproject test1
[steve@powerhouse devel]$ cd test1/
[steve@powerhouse test1]$ django-admin startapp app
[steve@powerhouse test1]$ find . -name "*.py[co]" | wc -l
0
[steve@powerhouse test1]$ rpm -q Django
Django-1.1-1.fc12.noarch
[steve@powerhouse test1]$
Comment 4 Steve Milner 2009-08-01 20:27:47 EDT
Registered upstream bug with the patch:

See http://code.djangoproject.com/ticket/11621
Comment 6 Steve Milner 2009-10-21 14:37:02 EDT
Looks like this issue has been fixed. Can you verify that it works properly for you?

$ django-admin startapp testing
$ cd testing/
$ ls
__init__.py  models.py  tests.py  views.py
$ rpm -q Django
Django-1.1.1-1.fc11.noarch
$
Comment 7 Bug Zapper 2009-11-18 06:43:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:13:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.